package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.renderWorker.entity.RenderWorkerEntity;
import com.ycwl.basic.model.pc.renderWorker.req.RenderWorkerReqQuery;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 17:22
 * 渲染机管理表
 */
@Mapper
public interface RenderWorkerMapper {
    List<RenderWorkerEntity> list(RenderWorkerReqQuery renderWorkerReqQuery);
    RenderWorkerEntity getById(Long id);
    int add(RenderWorkerEntity renderWorker);
    int deleteById(Long id);
    int update(RenderWorkerEntity renderWorker);
    int updateStatus(Long id);

    RenderWorkerEntity findByAccessKey(String accessKey);
}
